Subject: bug#24866: AucTeX not working on Emacs 25.1.1 for Mac

From: Tassilo Horn <[email-masked]>
Date: Sun, 20 Nov 2016 16:19:33 +0100

Mosè Giordano <[email-masked]> writes:

Hi Lars & Mosè,

>> have now run a git bisect (for the first time in my life)

I guess it won't be the last time. ;-)

>> and received the following, results.  I have not analyzed what the
>> difference is between the versions but it its clear that it touches
>> the preview… I do not know why it causes the error on Mac...
>>
>> ~/Src/auctex $ git bisect good
>> 3fdeb4b8de31702d4c58b063cd9536284bb27ff7 is the first bad commit
>> commit 3fdeb4b8de31702d4c58b063cd9536284bb27ff7
>> Author: Tassilo Horn <[email-masked]>
>> Date:   Fri Aug 7 17:54:58 2015 +0200
>>
>>     Setup preview differently; fixes bug#21188
>>
>>     * latex.el (TeX-latex-mode): Call `LaTeX-preview-setup'
>>     unconditionally instead of calling it from `LaTeX-mode-hook' which
>>     breaks things if that hook is customized (bug#21188).
>>
>>     * preview.el.in: Don't add `LaTeX-preview-setup' to
>>     `LaTeX-mode-hook'.
>
> This was easy to guess, since it's the commit which introduced the
> function call, but a confirmation is useful anyway.
>
> @Tassilo, could you please have a look at this?  I'm a bit confused by
> this problem, I can't see what's the culprit and why should be
> operating system-dependent :-/

Me neither, and I guess we would have been made aware of such a breakage
if it would happen for all MacOS X users.  But I think there's something
different gone wonky here.  Lars' backtrace reads

--8<---------------cut here---------------start------------->8---
Debugger entered--Lisp error: (void-variable LaTeX-preview-setup)
  byte-code("\303\300\304\"\210\305\306!\203\306\307	C#\210\310\311\312\"\210\310\311\313\"\210\305\314!\203'\314\n\315\"\210\304\207" [latex-mode-abbrev-table text-mode-abbrev-table LaTeX-preview-setup define-abbrev-table nil fboundp abbrev-table-put :parents add-to-list auto-mode-alist ("\\.drv\\'" . latex-mode) ("\\.hva\\'" . latex-mode) declare-function "preview"] 4)
  TeX-latex-mode()
  apply(TeX-latex-mode nil)
  latex-mode()
  ...
--8<---------------cut here---------------end--------------->8---

Note that it says `void-variable' and not `void-function' as it would
say when you try to eval (this-function-does-not-exist).

Hm, Lars, can you uninstall AUCTeX completely and try the ELPA version?
I.e., just install it using

  M-x package-install RET auctex RET

Bye,
Tassilo